<div class="main-wrapper" fxLayout="row" fxLayoutAlign="center center">

  <mat-card class="box">
    <mat-card-header>
      <mat-card-title>Hola mundo</mat-card-title>
    </mat-card-header>

    <form ngNativeValidate #f="ngForm" [formGroup]="forma" class="example-form" (ngSubmit)="login( f )">
      <mat-card-content>

        <mat-form-field appearance="fill" class="example-full-width">
          <mat-label>Username</mat-label>
          <input formControlName="username" name="username" matInput>
        </mat-form-field>

        <mat-form-field appearance="fill" class="example-full-width">
          <mat-label>Enter your password</mat-label>
          <input formControlName="password" name="password" matInput [type]="hide ? 'password' : 'text'">
          <button type="button" mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
            [attr.aria-pressed]="hide">
            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          </button>
        </mat-form-field>

      </mat-card-content>
      <button *ngIf="!loading" mat-stroked-button color="primary" class="btn-block" type="submit">Login</button>
      <button *ngIf="loading" mat-stroked-button color="primary" class="btn-block">
        <mat-spinner diameter="30" style="margin:0 auto; margin-top: 5px; margin-bottom: 5px;"></mat-spinner>
      </button>
    </form>
  </mat-card>

</div>
